Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 78643

Summary: GRUB hangs after upgrade from kernel 2.4.18-17.7.x to 2.4.18-18.7.x
Product: [Retired] Red Hat Linux Reporter: daryld
Component: up2dateAssignee: Adrian Likins <alikins>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 7.2CC: gafton, mihai.ibanescu
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-08-26 21:31:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description daryld 2002-11-26 20:55:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I did an 'up2date -u -f kernel kernel-source'. It seemed to complete
successfully. Now a reboot hangs on a screen that is all blank except that the
word "GRUB" is in the top left corner. I am able to boot the system with the
emergency boot disk. After booting this way, I made another boot disk with the
new kernel on it. I am also able to boot with this new boot disk.

Version-Release number of selected component (if applicable): 2.8.39-1.7.2


How reproducible:
Didn't try


Additional info:

The system is an IBM eserver xSeries 330. There are two hard drives in it which
are mirrored using md. I have upgraded the kernel before using this same process
without any problems (kernel 2.4.9-34 to 2.4.18-17.7.x)

Comment 1 Adrian Likins 2004-08-26 21:31:56 UTC
there were some issues updating bootloader config on
systems with root on md, this should be resolved with current
releases.

Comment 2 Scott Nash 2005-03-02 18:56:51 UTC
it isn't

Comment 3 Scott Nash 2005-03-02 18:58:29 UTC
Upgraded via up2date hoping to fix nonworking fan in Ideq 200p.  Stops
at Grub.